package cd.casic.module.machine.dto;

import lombok.*;

import java.io.Serializable;
import java.util.Date;

/**
 * 环境变量数据传输对象
 */

@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MachineEnvDTO extends PageDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    private String envKey;
    private String envValue;
    private String description;
    private Long machineId;
    private Date createDate;
    private Date updateDate;
    private String sortField;
    private String sortDirection;
}
